Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.hubservices.core.v2 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.hubservices.core.v2

Method Summary
`AccessRightListType` | `createAccessRightListType()` Create an instance of `AccessRightListType`
`AccessRightType` | `createAccessRightType()` Create an instance of `AccessRightType`
`AcknowledgeType` | `createAcknowledgeType()` Create an instance of `AcknowledgeType`
`AuthorWithPatientAndPersonType` | `createAuthorWithPatientAndPersonType()` Create an instance of `AuthorWithPatientAndPersonType`
`BasicConsentType` | `createBasicConsentType()` Create an instance of `BasicConsentType`
`BasicHcPartyType` | `createBasicHcPartyType()` Create an instance of `BasicHcPartyType`
`BasicTransactionType` | `createBasicTransactionType()` Create an instance of `BasicTransactionType`
`BasicTransactionWithPeriodType` | `createBasicTransactionWithPeriodType()` Create an instance of `BasicTransactionWithPeriodType`
`ConsentHCPartyType` | `createConsentHCPartyType()` Create an instance of `ConsentHCPartyType`
`ConsentType` | `createConsentType()` Create an instance of `ConsentType`
`ConsentWithStatusType` | `createConsentWithStatusType()` Create an instance of `ConsentWithStatusType`
`DeclareTransactionRequest` | `createDeclareTransactionRequest()` Create an instance of `DeclareTransactionRequest`
`DeclareTransactionResponse` | `createDeclareTransactionResponse()` Create an instance of `DeclareTransactionResponse`
`FolderType` | `createFolderType()` Create an instance of `FolderType`
`FolderTypeUnbounded` | `createFolderTypeUnbounded()` Create an instance of `FolderTypeUnbounded`
`GetAccessRightRequest` | `createGetAccessRightRequest()` Create an instance of `GetAccessRightRequest`
`GetAccessRightResponse` | `createGetAccessRightResponse()` Create an instance of `GetAccessRightResponse`
`GetHCPartyConsentRequest` | `createGetHCPartyConsentRequest()` Create an instance of `GetHCPartyConsentRequest`
`GetHCPartyConsentResponse` | `createGetHCPartyConsentResponse()` Create an instance of `GetHCPartyConsentResponse`
`GetHCPartyRequest` | `createGetHCPartyRequest()` Create an instance of `GetHCPartyRequest`
`GetHCPartyResponse` | `createGetHCPartyResponse()` Create an instance of `GetHCPartyResponse`
`GetPatientAuditTrailRequest` | `createGetPatientAuditTrailRequest()` Create an instance of `GetPatientAuditTrailRequest`
`GetPatientAuditTrailResponse` | `createGetPatientAuditTrailResponse()` Create an instance of `GetPatientAuditTrailResponse`
`GetPatientConsentRequest` | `createGetPatientConsentRequest()` Create an instance of `GetPatientConsentRequest`
`GetPatientConsentResponse` | `createGetPatientConsentResponse()` Create an instance of `GetPatientConsentResponse`
`GetPatientConsentStatusRequest` | `createGetPatientConsentStatusRequest()` Create an instance of `GetPatientConsentStatusRequest`
`GetPatientConsentStatusResponse` | `createGetPatientConsentStatusResponse()` Create an instance of `GetPatientConsentStatusResponse`
`GetPatientRequest` | `createGetPatientRequest()` Create an instance of `GetPatientRequest`
`GetPatientResponse` | `createGetPatientResponse()` Create an instance of `GetPatientResponse`
`GetTherapeuticExclusionHistoryRequest` | `createGetTherapeuticExclusionHistoryRequest()` Create an instance of `GetTherapeuticExclusionHistoryRequest`
`GetTherapeuticExclusionHistoryResponse` | `createGetTherapeuticExclusionHistoryResponse()` Create an instance of `GetTherapeuticExclusionHistoryResponse`
`GetTherapeuticExclusionRequest` | `createGetTherapeuticExclusionRequest()` Create an instance of `GetTherapeuticExclusionRequest`
`GetTherapeuticExclusionResponse` | `createGetTherapeuticExclusionResponse()` Create an instance of `GetTherapeuticExclusionResponse`
`GetTherapeuticLinkRequest` | `createGetTherapeuticLinkRequest()` Create an instance of `GetTherapeuticLinkRequest`
`GetTherapeuticLinkResponse` | `createGetTherapeuticLinkResponse()` Create an instance of `GetTherapeuticLinkResponse`
`GetTherapeuticLinkSelectType` | `createGetTherapeuticLinkSelectType()` Create an instance of `GetTherapeuticLinkSelectType`
`GetTransactionListRequest` | `createGetTransactionListRequest()` Create an instance of `GetTransactionListRequest`
`GetTransactionListResponse` | `createGetTransactionListResponse()` Create an instance of `GetTransactionListResponse`
`GetTransactionRequest` | `createGetTransactionRequest()` Create an instance of `GetTransactionRequest`
`GetTransactionResponse` | `createGetTransactionResponse()` Create an instance of `GetTransactionResponse`
`HasTherapeuticLinkRequest` | `createHasTherapeuticLinkRequest()` Create an instance of `HasTherapeuticLinkRequest`
`HasTherapeuticLinkResponse` | `createHasTherapeuticLinkResponse()` Create an instance of `HasTherapeuticLinkResponse`
`HasTherapeuticLinkSelectType` | `createHasTherapeuticLinkSelectType()` Create an instance of `HasTherapeuticLinkSelectType`
`HCPartyAdaptedType` | `createHCPartyAdaptedType()` Create an instance of `HCPartyAdaptedType`
`HCPartyIdType` | `createHCPartyIdType()` Create an instance of `HCPartyIdType`
`KmehrHeaderDeclareTransactionType` | `createKmehrHeaderDeclareTransactionType()` Create an instance of `KmehrHeaderDeclareTransactionType`
`KmehrHeaderGetTransactionListType` | `createKmehrHeaderGetTransactionListType()` Create an instance of `KmehrHeaderGetTransactionListType`
`OperationContextType` | `createOperationContextType()` Create an instance of `OperationContextType`
`PatientIdType` | `createPatientIdType()` Create an instance of `PatientIdType`
`ProofType` | `createProofType()` Create an instance of `ProofType`
`PutAccessRightRequest` | `createPutAccessRightRequest()` Create an instance of `PutAccessRightRequest`
`PutAccessRightResponse` | `createPutAccessRightResponse()` Create an instance of `PutAccessRightResponse`
`PutHCPartyConsentRequest` | `createPutHCPartyConsentRequest()` Create an instance of `PutHCPartyConsentRequest`
`PutHCPartyConsentResponse` | `createPutHCPartyConsentResponse()` Create an instance of `PutHCPartyConsentResponse`
`PutHCPartyRequest` | `createPutHCPartyRequest()` Create an instance of `PutHCPartyRequest`
`PutHCPartyResponse` | `createPutHCPartyResponse()` Create an instance of `PutHCPartyResponse`
`PutPatientConsentRequest` | `createPutPatientConsentRequest()` Create an instance of `PutPatientConsentRequest`
`PutPatientConsentResponse` | `createPutPatientConsentResponse()` Create an instance of `PutPatientConsentResponse`
`PutPatientRequest` | `createPutPatientRequest()` Create an instance of `PutPatientRequest`
`PutPatientResponse` | `createPutPatientResponse()` Create an instance of `PutPatientResponse`
`PutTherapeuticExclusionRequest` | `createPutTherapeuticExclusionRequest()` Create an instance of `PutTherapeuticExclusionRequest`
`PutTherapeuticExclusionResponse` | `createPutTherapeuticExclusionResponse()` Create an instance of `PutTherapeuticExclusionResponse`
`PutTherapeuticLinkBulkRequest` | `createPutTherapeuticLinkBulkRequest()` Create an instance of `PutTherapeuticLinkBulkRequest`
`PutTherapeuticLinkRequest` | `createPutTherapeuticLinkRequest()` Create an instance of `PutTherapeuticLinkRequest`
`PutTherapeuticLinkResponseType` | `createPutTherapeuticLinkResponseType()` Create an instance of `PutTherapeuticLinkResponseType`
`PutTransactionRequest` | `createPutTransactionRequest()` Create an instance of `PutTransactionRequest`
`PutTransactionResponse` | `createPutTransactionResponse()` Create an instance of `PutTransactionResponse`
`RequestPublicationRequest` | `createRequestPublicationRequest()` Create an instance of `RequestPublicationRequest`
`RequestPublicationResponse` | `createRequestPublicationResponse()` Create an instance of `RequestPublicationResponse`
`RequestType` | `createRequestType()` Create an instance of `RequestType`
`ResponseType` | `createResponseType()` Create an instance of `ResponseType`
`RevokeAccessRightRequest` | `createRevokeAccessRightRequest()` Create an instance of `RevokeAccessRightRequest`
`RevokeAccessRightResponse` | `createRevokeAccessRightResponse()` Create an instance of `RevokeAccessRightResponse`
`RevokeHCPartyConsentRequest` | `createRevokeHCPartyConsentRequest()` Create an instance of `RevokeHCPartyConsentRequest`
`RevokeHCPartyConsentResponse` | `createRevokeHCPartyConsentResponse()` Create an instance of `RevokeHCPartyConsentResponse`
`RevokePatientConsentRequest` | `createRevokePatientConsentRequest()` Create an instance of `RevokePatientConsentRequest`
`RevokePatientConsentResponse` | `createRevokePatientConsentResponse()` Create an instance of `RevokePatientConsentResponse`
`RevokeTherapeuticExclusionRequest` | `createRevokeTherapeuticExclusionRequest()` Create an instance of `RevokeTherapeuticExclusionRequest`
`RevokeTherapeuticExclusionResponse` | `createRevokeTherapeuticExclusionResponse()` Create an instance of `RevokeTherapeuticExclusionResponse`
`RevokeTherapeuticLinkRequest` | `createRevokeTherapeuticLinkRequest()` Create an instance of `RevokeTherapeuticLinkRequest`
`RevokeTherapeuticLinkResponse` | `createRevokeTherapeuticLinkResponse()` Create an instance of `RevokeTherapeuticLinkResponse`
`RevokeTransactionRequest` | `createRevokeTransactionRequest()` Create an instance of `RevokeTransactionRequest`
`RevokeTransactionResponse` | `createRevokeTransactionResponse()` Create an instance of `RevokeTransactionResponse`
`SelectGetAccessRightType` | `createSelectGetAccessRightType()` Create an instance of `SelectGetAccessRightType`
`SelectGetHCPartyConsentType` | `createSelectGetHCPartyConsentType()` Create an instance of `SelectGetHCPartyConsentType`
`SelectGetHCPartyPatientConsentType` | `createSelectGetHCPartyPatientConsentType()` Create an instance of `SelectGetHCPartyPatientConsentType`
`SelectGetHCPartyType` | `createSelectGetHCPartyType()` Create an instance of `SelectGetHCPartyType`
`SelectGetPatientAuditTrailType` | `createSelectGetPatientAuditTrailType()` Create an instance of `SelectGetPatientAuditTrailType`
`SelectGetPatientConsentType` | `createSelectGetPatientConsentType()` Create an instance of `SelectGetPatientConsentType`
`SelectGetPatientType` | `createSelectGetPatientType()` Create an instance of `SelectGetPatientType`
`SelectGetTransactionListType` | `createSelectGetTransactionListType()` Create an instance of `SelectGetTransactionListType`
`SelectGetTransactionType` | `createSelectGetTransactionType()` Create an instance of `SelectGetTransactionType`
`SelectRequestPublicationType` | `createSelectRequestPublicationType()` Create an instance of `SelectRequestPublicationType`
`SelectRevokeAccessRightType` | `createSelectRevokeAccessRightType()` Create an instance of `SelectRevokeAccessRightType`
`SelectRevokeTransactionType` | `createSelectRevokeTransactionType()` Create an instance of `SelectRevokeTransactionType`
`TherapeuticExclusionHistorySelectType` | `createTherapeuticExclusionHistorySelectType()` Create an instance of `TherapeuticExclusionHistorySelectType`
`TherapeuticExclusionListType` | `createTherapeuticExclusionListType()` Create an instance of `TherapeuticExclusionListType`
`TherapeuticExclusionSelectType` | `createTherapeuticExclusionSelectType()` Create an instance of `TherapeuticExclusionSelectType`
`TherapeuticExclusionType` | `createTherapeuticExclusionType()` Create an instance of `TherapeuticExclusionType`
`TherapeuticExclusionWithOperationContext` | `createTherapeuticExclusionWithOperationContext()` Create an instance of `TherapeuticExclusionWithOperationContext`
`JAXBElement<TherapeuticLinkType>` | `createTherapeuticlink(TherapeuticLinkType value)` Create an instance of `JAXBElement``<``TherapeuticLinkType``>`
`TherapeuticLinkListType` | `createTherapeuticLinkListType()` Create an instance of `TherapeuticLinkListType`
`Therapeuticlinkrequest` | `createTherapeuticlinkrequest()` Create an instance of `Therapeuticlinkrequest`
`TherapeuticLinkType` | `createTherapeuticLinkType()` Create an instance of `TherapeuticLinkType`
`TherapeuticLinkWithOperationContext` | `createTherapeuticLinkWithOperationContext()` Create an instance of `TherapeuticLinkWithOperationContext`
`Transactionaccess` | `createTransactionaccess()` Create an instance of `Transactionaccess`
`TransactionAccessListType` | `createTransactionAccessListType()` Create an instance of `TransactionAccessListType`
`TransactionIdType` | `createTransactionIdType()` Create an instance of `TransactionIdType`
`TransactionSummaryType` | `createTransactionSummaryType()` Create an instance of `TransactionSummaryType`
`TransactionWithAuthorType` | `createTransactionWithAuthorType()` Create an instance of `TransactionWithAuthorType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.hubservices.core.v2

Method Detail

### createTherapeuticLinkType

    public TherapeuticLinkType createTherapeuticLinkType()

  Create an instance of `TherapeuticLinkType`

### createRequestType

    public RequestType createRequestType()

  Create an instance of `RequestType`

### createAuthorWithPatientAndPersonType

    public AuthorWithPatientAndPersonType createAuthorWithPatientAndPersonType()

  Create an instance of `AuthorWithPatientAndPersonType`

### createAcknowledgeType

    public AcknowledgeType createAcknowledgeType()

  Create an instance of `AcknowledgeType`

### createResponseType

    public ResponseType createResponseType()

  Create an instance of `ResponseType`

### createPatientIdType

    public PatientIdType createPatientIdType()

  Create an instance of `PatientIdType`

### createHCPartyIdType

    public HCPartyIdType createHCPartyIdType()

  Create an instance of `HCPartyIdType`

### createTransactionIdType

    public TransactionIdType createTransactionIdType()

  Create an instance of `TransactionIdType`

### createConsentType

    public ConsentType createConsentType()

  Create an instance of `ConsentType`

### createConsentWithStatusType

    public ConsentWithStatusType createConsentWithStatusType()

  Create an instance of `ConsentWithStatusType`

### createConsentHCPartyType

    public ConsentHCPartyType createConsentHCPartyType()

  Create an instance of `ConsentHCPartyType`

### createTherapeuticLinkListType

    public TherapeuticLinkListType createTherapeuticLinkListType()

  Create an instance of `TherapeuticLinkListType`

### createTherapeuticLinkWithOperationContext

    public TherapeuticLinkWithOperationContext createTherapeuticLinkWithOperationContext()

  Create an instance of `TherapeuticLinkWithOperationContext`

### createOperationContextType

    public OperationContextType createOperationContextType()

  Create an instance of `OperationContextType`

### createAccessRightType

    public AccessRightType createAccessRightType()

  Create an instance of `AccessRightType`

### createAccessRightListType

    public AccessRightListType createAccessRightListType()

  Create an instance of `AccessRightListType`

### createSelectGetTransactionListType

    public SelectGetTransactionListType createSelectGetTransactionListType()

  Create an instance of `SelectGetTransactionListType`

### createBasicTransactionWithPeriodType

    public BasicTransactionWithPeriodType createBasicTransactionWithPeriodType()

  Create an instance of `BasicTransactionWithPeriodType`

### createSelectGetTransactionType

    public SelectGetTransactionType createSelectGetTransactionType()

  Create an instance of `SelectGetTransactionType`

### createBasicTransactionType

    public BasicTransactionType createBasicTransactionType()

  Create an instance of `BasicTransactionType`

### createSelectRevokeTransactionType

    public SelectRevokeTransactionType createSelectRevokeTransactionType()

  Create an instance of `SelectRevokeTransactionType`

### createSelectGetPatientType

    public SelectGetPatientType createSelectGetPatientType()

  Create an instance of `SelectGetPatientType`

### createSelectGetHCPartyType

    public SelectGetHCPartyType createSelectGetHCPartyType()

  Create an instance of `SelectGetHCPartyType`

### createSelectGetHCPartyConsentType

    public SelectGetHCPartyConsentType createSelectGetHCPartyConsentType()

  Create an instance of `SelectGetHCPartyConsentType`

### createSelectGetHCPartyPatientConsentType

    public SelectGetHCPartyPatientConsentType createSelectGetHCPartyPatientConsentType()

  Create an instance of `SelectGetHCPartyPatientConsentType`

### createGetTherapeuticLinkSelectType

    public GetTherapeuticLinkSelectType createGetTherapeuticLinkSelectType()

  Create an instance of `GetTherapeuticLinkSelectType`

### createSelectGetAccessRightType

    public SelectGetAccessRightType createSelectGetAccessRightType()

  Create an instance of `SelectGetAccessRightType`

### createSelectRevokeAccessRightType

    public SelectRevokeAccessRightType createSelectRevokeAccessRightType()

  Create an instance of `SelectRevokeAccessRightType`

### createBasicHcPartyType

    public BasicHcPartyType createBasicHcPartyType()

  Create an instance of `BasicHcPartyType`

### createSelectGetPatientAuditTrailType

    public SelectGetPatientAuditTrailType createSelectGetPatientAuditTrailType()

  Create an instance of `SelectGetPatientAuditTrailType`

### createSelectRequestPublicationType

    public SelectRequestPublicationType createSelectRequestPublicationType()

  Create an instance of `SelectRequestPublicationType`

### createHasTherapeuticLinkSelectType

    public HasTherapeuticLinkSelectType createHasTherapeuticLinkSelectType()

  Create an instance of `HasTherapeuticLinkSelectType`

### createDeclareTransactionRequest

    public DeclareTransactionRequest createDeclareTransactionRequest()

  Create an instance of `DeclareTransactionRequest`

### createDeclareTransactionResponse

    public DeclareTransactionResponse createDeclareTransactionResponse()

  Create an instance of `DeclareTransactionResponse`

### createPutTransactionRequest

    public PutTransactionRequest createPutTransactionRequest()

  Create an instance of `PutTransactionRequest`

### createPutTransactionResponse

    public PutTransactionResponse createPutTransactionResponse()

  Create an instance of `PutTransactionResponse`

### createGetTransactionListRequest

    public GetTransactionListRequest createGetTransactionListRequest()

  Create an instance of `GetTransactionListRequest`

### createGetTransactionListResponse

    public GetTransactionListResponse createGetTransactionListResponse()

  Create an instance of `GetTransactionListResponse`

### createGetTransactionRequest

    public GetTransactionRequest createGetTransactionRequest()

  Create an instance of `GetTransactionRequest`

### createGetTransactionResponse

    public GetTransactionResponse createGetTransactionResponse()

  Create an instance of `GetTransactionResponse`

### createRevokeTransactionRequest

    public RevokeTransactionRequest createRevokeTransactionRequest()

  Create an instance of `RevokeTransactionRequest`

### createRevokeTransactionResponse

    public RevokeTransactionResponse createRevokeTransactionResponse()

  Create an instance of `RevokeTransactionResponse`

### createPutPatientRequest

    public PutPatientRequest createPutPatientRequest()

  Create an instance of `PutPatientRequest`

### createPutPatientResponse

    public PutPatientResponse createPutPatientResponse()

  Create an instance of `PutPatientResponse`

### createGetPatientRequest

    public GetPatientRequest createGetPatientRequest()

  Create an instance of `GetPatientRequest`

### createGetPatientResponse

    public GetPatientResponse createGetPatientResponse()

  Create an instance of `GetPatientResponse`

### createPutPatientConsentRequest

    public PutPatientConsentRequest createPutPatientConsentRequest()

  Create an instance of `PutPatientConsentRequest`

### createPutPatientConsentResponse

    public PutPatientConsentResponse createPutPatientConsentResponse()

  Create an instance of `PutPatientConsentResponse`

### createGetPatientConsentRequest

    public GetPatientConsentRequest createGetPatientConsentRequest()

  Create an instance of `GetPatientConsentRequest`

### createSelectGetPatientConsentType

    public SelectGetPatientConsentType createSelectGetPatientConsentType()

  Create an instance of `SelectGetPatientConsentType`

### createGetPatientConsentResponse

    public GetPatientConsentResponse createGetPatientConsentResponse()

  Create an instance of `GetPatientConsentResponse`

### createRevokePatientConsentRequest

    public RevokePatientConsentRequest createRevokePatientConsentRequest()

  Create an instance of `RevokePatientConsentRequest`

### createRevokePatientConsentResponse

    public RevokePatientConsentResponse createRevokePatientConsentResponse()

  Create an instance of `RevokePatientConsentResponse`

### createGetPatientConsentStatusRequest

    public GetPatientConsentStatusRequest createGetPatientConsentStatusRequest()

  Create an instance of `GetPatientConsentStatusRequest`

### createGetPatientConsentStatusResponse

    public GetPatientConsentStatusResponse createGetPatientConsentStatusResponse()

  Create an instance of `GetPatientConsentStatusResponse`

### createPutHCPartyRequest

    public PutHCPartyRequest createPutHCPartyRequest()

  Create an instance of `PutHCPartyRequest`

### createPutHCPartyResponse

    public PutHCPartyResponse createPutHCPartyResponse()

  Create an instance of `PutHCPartyResponse`

### createGetHCPartyRequest

    public GetHCPartyRequest createGetHCPartyRequest()

  Create an instance of `GetHCPartyRequest`

### createGetHCPartyResponse

    public GetHCPartyResponse createGetHCPartyResponse()

  Create an instance of `GetHCPartyResponse`

### createPutHCPartyConsentRequest

    public PutHCPartyConsentRequest createPutHCPartyConsentRequest()

  Create an instance of `PutHCPartyConsentRequest`

### createPutHCPartyConsentResponse

    public PutHCPartyConsentResponse createPutHCPartyConsentResponse()

  Create an instance of `PutHCPartyConsentResponse`

### createGetHCPartyConsentRequest

    public GetHCPartyConsentRequest createGetHCPartyConsentRequest()

  Create an instance of `GetHCPartyConsentRequest`

### createGetHCPartyConsentResponse

    public GetHCPartyConsentResponse createGetHCPartyConsentResponse()

  Create an instance of `GetHCPartyConsentResponse`

### createRevokeHCPartyConsentRequest

    public RevokeHCPartyConsentRequest createRevokeHCPartyConsentRequest()

  Create an instance of `RevokeHCPartyConsentRequest`

### createRevokeHCPartyConsentResponse

    public RevokeHCPartyConsentResponse createRevokeHCPartyConsentResponse()

  Create an instance of `RevokeHCPartyConsentResponse`

### createPutTherapeuticLinkBulkRequest

    public PutTherapeuticLinkBulkRequest createPutTherapeuticLinkBulkRequest()

  Create an instance of `PutTherapeuticLinkBulkRequest`

### createPutTherapeuticLinkRequest

    public PutTherapeuticLinkRequest createPutTherapeuticLinkRequest()

  Create an instance of `PutTherapeuticLinkRequest`

### createPutTherapeuticLinkResponseType

    public PutTherapeuticLinkResponseType createPutTherapeuticLinkResponseType()

  Create an instance of `PutTherapeuticLinkResponseType`

### createProofType

    public ProofType createProofType()

  Create an instance of `ProofType`

### createGetTherapeuticLinkRequest

    public GetTherapeuticLinkRequest createGetTherapeuticLinkRequest()

  Create an instance of `GetTherapeuticLinkRequest`

### createGetTherapeuticLinkResponse

    public GetTherapeuticLinkResponse createGetTherapeuticLinkResponse()

  Create an instance of `GetTherapeuticLinkResponse`

### createRevokeTherapeuticLinkRequest

    public RevokeTherapeuticLinkRequest createRevokeTherapeuticLinkRequest()

  Create an instance of `RevokeTherapeuticLinkRequest`

### createRevokeTherapeuticLinkResponse

    public RevokeTherapeuticLinkResponse createRevokeTherapeuticLinkResponse()

  Create an instance of `RevokeTherapeuticLinkResponse`

### createHasTherapeuticLinkRequest

    public HasTherapeuticLinkRequest createHasTherapeuticLinkRequest()

  Create an instance of `HasTherapeuticLinkRequest`

### createHasTherapeuticLinkResponse

    public HasTherapeuticLinkResponse createHasTherapeuticLinkResponse()

  Create an instance of `HasTherapeuticLinkResponse`

### createPutAccessRightRequest

    public PutAccessRightRequest createPutAccessRightRequest()

  Create an instance of `PutAccessRightRequest`

### createPutAccessRightResponse

    public PutAccessRightResponse createPutAccessRightResponse()

  Create an instance of `PutAccessRightResponse`

### createGetAccessRightRequest

    public GetAccessRightRequest createGetAccessRightRequest()

  Create an instance of `GetAccessRightRequest`

### createGetAccessRightResponse

    public GetAccessRightResponse createGetAccessRightResponse()

  Create an instance of `GetAccessRightResponse`

### createRevokeAccessRightRequest

    public RevokeAccessRightRequest createRevokeAccessRightRequest()

  Create an instance of `RevokeAccessRightRequest`

### createRevokeAccessRightResponse

    public RevokeAccessRightResponse createRevokeAccessRightResponse()

  Create an instance of `RevokeAccessRightResponse`

### createKmehrHeaderDeclareTransactionType

    public KmehrHeaderDeclareTransactionType createKmehrHeaderDeclareTransactionType()

  Create an instance of `KmehrHeaderDeclareTransactionType`

### createFolderType

    public FolderType createFolderType()

  Create an instance of `FolderType`

### createFolderTypeUnbounded

    public FolderTypeUnbounded createFolderTypeUnbounded()

  Create an instance of `FolderTypeUnbounded`

### createTransactionSummaryType

    public TransactionSummaryType createTransactionSummaryType()

  Create an instance of `TransactionSummaryType`

### createKmehrHeaderGetTransactionListType

    public KmehrHeaderGetTransactionListType createKmehrHeaderGetTransactionListType()

  Create an instance of `KmehrHeaderGetTransactionListType`

### createHCPartyAdaptedType

    public HCPartyAdaptedType createHCPartyAdaptedType()

  Create an instance of `HCPartyAdaptedType`

### createGetPatientAuditTrailRequest

    public GetPatientAuditTrailRequest createGetPatientAuditTrailRequest()

  Create an instance of `GetPatientAuditTrailRequest`

### createGetPatientAuditTrailResponse

    public GetPatientAuditTrailResponse createGetPatientAuditTrailResponse()

  Create an instance of `GetPatientAuditTrailResponse`

### createTransactionAccessListType

    public TransactionAccessListType createTransactionAccessListType()

  Create an instance of `TransactionAccessListType`

### createTransactionWithAuthorType

    public TransactionWithAuthorType createTransactionWithAuthorType()

  Create an instance of `TransactionWithAuthorType`

### createRequestPublicationResponse

    public RequestPublicationResponse createRequestPublicationResponse()

  Create an instance of `RequestPublicationResponse`

### createRequestPublicationRequest

    public RequestPublicationRequest createRequestPublicationRequest()

  Create an instance of `RequestPublicationRequest`

### createBasicConsentType

    public BasicConsentType createBasicConsentType()

  Create an instance of `BasicConsentType`

### createPutTherapeuticExclusionRequest

    public PutTherapeuticExclusionRequest createPutTherapeuticExclusionRequest()

  Create an instance of `PutTherapeuticExclusionRequest`

### createPutTherapeuticExclusionResponse

    public PutTherapeuticExclusionResponse createPutTherapeuticExclusionResponse()

  Create an instance of `PutTherapeuticExclusionResponse`

### createGetTherapeuticExclusionRequest

    public GetTherapeuticExclusionRequest createGetTherapeuticExclusionRequest()

  Create an instance of `GetTherapeuticExclusionRequest`

### createGetTherapeuticExclusionResponse

    public GetTherapeuticExclusionResponse createGetTherapeuticExclusionResponse()

  Create an instance of `GetTherapeuticExclusionResponse`

### createGetTherapeuticExclusionHistoryRequest

    public GetTherapeuticExclusionHistoryRequest createGetTherapeuticExclusionHistoryRequest()

  Create an instance of `GetTherapeuticExclusionHistoryRequest`

### createGetTherapeuticExclusionHistoryResponse

    public GetTherapeuticExclusionHistoryResponse createGetTherapeuticExclusionHistoryResponse()

  Create an instance of `GetTherapeuticExclusionHistoryResponse`

### createTherapeuticExclusionListType

    public TherapeuticExclusionListType createTherapeuticExclusionListType()

  Create an instance of `TherapeuticExclusionListType`

### createTherapeuticExclusionWithOperationContext

    public TherapeuticExclusionWithOperationContext createTherapeuticExclusionWithOperationContext()

  Create an instance of `TherapeuticExclusionWithOperationContext`

### createRevokeTherapeuticExclusionRequest

    public RevokeTherapeuticExclusionRequest createRevokeTherapeuticExclusionRequest()

  Create an instance of `RevokeTherapeuticExclusionRequest`

### createRevokeTherapeuticExclusionResponse

    public RevokeTherapeuticExclusionResponse createRevokeTherapeuticExclusionResponse()

  Create an instance of `RevokeTherapeuticExclusionResponse`

### createTherapeuticExclusionType

    public TherapeuticExclusionType createTherapeuticExclusionType()

  Create an instance of `TherapeuticExclusionType`

### createTherapeuticExclusionHistorySelectType

    public TherapeuticExclusionHistorySelectType createTherapeuticExclusionHistorySelectType()

  Create an instance of `TherapeuticExclusionHistorySelectType`

### createTherapeuticExclusionSelectType

    public TherapeuticExclusionSelectType createTherapeuticExclusionSelectType()

  Create an instance of `TherapeuticExclusionSelectType`

### createTherapeuticlinkrequest

    public Therapeuticlinkrequest createTherapeuticlinkrequest()

  Create an instance of `Therapeuticlinkrequest`

### createTransactionaccess

    public Transactionaccess createTransactionaccess()

  Create an instance of `Transactionaccess`

### createTherapeuticlink

    public JAXBElement<TherapeuticLinkType> createTherapeuticlink(TherapeuticLinkType value)

  Create an instance of `JAXBElement``<``TherapeuticLinkType``>`

  Parameters:
    `value` - Java instance representing xml element's value.
  Returns:
    the new instance of `JAXBElement``<``TherapeuticLinkType``>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.